@use '../../node_modules/reset-css/sass/reset' as *;
@use '../../node_modules/normalize.css/normalize' as *;

@use './colors' as *;
@use './spacing' as *;
@use './components/header' as *;
@use './components/footer' as *;
@use './components/background' as *;

html, body, head, :root {
    margin: 0;
    padding: 0;

    overflow-x: hidden;
    overflow-y: visible;
    scroll-behavior: smooth !important;
    
    color-scheme: dark;
    color: $FOREGROUND-PRIMARY;
    background-color: $BACKGROUND-PRIMARY;

    font-family: 'Montserrat', sans-serif;
}

body {
    display: flex;
    flex-direction: column;
}

main {
    display: block;
    margin: $NAV-BAR-HEIGHT auto;
    background-color: transparent;
    z-index: 10;
}

footer {
    flex-shrink: 0;
    z-index: 10;
}

@media (min-width: 120px) and (max-width: 575px) { 
    main {
        width: 100%;
        padding: 0;
    }
}
  
@media (min-width: 576px) {
    main {
        width: 90%;
    }
}

@media (min-width: 768px) {
    main {
        width: 90%;
    }
}

@media (min-width: 992px) {
    main {
        width: 80%;
    }
}

@media (min-width: 1200px) {
    main {
        width: 80%;
    }
}
